with MSSyst.Windows.Forms.MenuItem;
with Mcc.Gui.Menu;
with MSSyst.IDisposable;
with MSSyst.ComponentModel.Icomponent;
package Menuitem_Peer is
   
   type Typ is new MSSyst.Windows.Forms.MenuItem.Typ with record
      Callback : Mcc.Gui.Menu.Menu_Callback;
   end record;
   type Ref is access all Typ;
   function new_MenuItem(This : Ref := null) return Ref;
private
   pragma Convention(MSIL,Typ);
   pragma MSIL_Constructor(new_MenuItem);
end Menuitem_Peer;